/* * Copyright (c) 2000 University of Chicago. All Rights Reserved.  *
 * This package is part of the Tiled Display Toolkit.                *
 * The Tiled Display Toolkit is free software. You can redistribute  *
 * it and/or modify it under the terms of the Tiled Display Toolkit  *
 * Public License. You should have received a copy of the            *
 * Tiled Display Toolkit Public License along with this program; if  *
 * not write to the Futures Laboratory at Argonne National           *
 * Laboratory at fl-info@mcs.anl.gov.                                */

/* See Loader_SDL.h for documentation. */

#include "LoaderSDL.h"
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <netinet/in.h>

Loader_SDL::Loader_SDL(char *filename){
  if((movieFile=fopen(filename,"rb"))==NULL){
    fprintf(stderr,"ERROR: Could not open file: %s!\n",filename);
    return;
  };

  fread(&numFrames,sizeof(int),1,movieFile);
  fread(&w,sizeof(int),1,movieFile);
  fread(&h,sizeof(int),1,movieFile);
  fread(&bitDepth,sizeof(Uint8),1,movieFile);
  fread(&pitch,sizeof(Uint16),1,movieFile);
  fread(&Rmask,sizeof(Uint32),1,movieFile);
  fread(&Gmask,sizeof(Uint32),1,movieFile);
  fread(&Bmask,sizeof(Uint32),1,movieFile);
  fread(&Amask,sizeof(Uint32),1,movieFile);

  headerOffset=(sizeof(int)*3)+sizeof(Uint8)+sizeof(Uint16)+(sizeof(Uint32)*4);

  frameSize=w*h*(bitDepth/8);
  frameBuff=new unsigned char[frameSize];

  curFrame=0;

  fprintf(stderr,"%s: (%dx%d) Length: %d  FrameSize: %d\n",filename,w,h,numFrames,frameSize);
};
