/* * Copyright (c) 2000 University of Chicago. All Rights Reserved.  *
 * This package is part of the Tiled Display Toolkit.                *
 * The Tiled Display Toolkit is free software. You can redistribute  *
 * it and/or modify it under the terms of the Tiled Display Toolkit  *
 * Public License. You should have received a copy of the            *
 * Tiled Display Toolkit Public License along with this program; if  *
 * not write to the Futures Laboratory at Argonne National           *
 * Laboratory at fl-info@mcs.anl.gov.                                */

/* See Loader_FlatFileFlip.h for documentation. */

#include "Loader_FlatFileFlip.h"
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <netinet/in.h>

Loader_FlatFileFlip::Loader_FlatFileFlip(char *filename){
  struct{
    int tmpW,tmpH,tmpFrameCount;
  }tmpBuff;

  if((movieFile=fopen(filename,"rb"))==NULL){
    fprintf(stderr,"ERROR: Could not open file: %s!\n",filename);
    return;
  };

  fread(&tmpBuff,sizeof(tmpBuff),1,movieFile);
  w=ntohl(tmpBuff.tmpW);
  h=ntohl(tmpBuff.tmpH);
  numFrames=ntohl(tmpBuff.tmpFrameCount);
  frameSize=w*h*3;
  frameBuff=new unsigned char[frameSize];
  frameTmp=new unsigned char[frameSize];
  curFrame=0;

  fprintf(stderr,"%s: (%dx%d) Length: %d FLIP\n",filename,w,h,numFrames);
};
