/* * Copyright (c) 2000 University of Chicago. All Rights Reserved.  *
 * This package is part of the Tiled Display Toolkit.                *
 * The Tiled Display Toolkit is free software. You can redistribute  *
 * it and/or modify it under the terms of the Tiled Display Toolkit  *
 * Public License. You should have received a copy of the            *
 * Tiled Display Toolkit Public License along with this program; if  *
 * not write to the Futures Laboratory at Argonne National           *
 * Laboratory at fl-info@mcs.anl.gov.                                */

/* This is a "test" movie player - uses the Loader_SDL loader,
   the Renderer_SDL renderer, and the Movie class abstraction to see
   if everything works.
*/

#include "Movie/Movie.h"
#include "Loader/LoaderSDL.h"
#include "Renderer/RendererSDL.h"
#include "td/td.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

Movie *movie;

void draw(void){
  if(movie->update()==-1){
    movie->reset();
    movie->update();
  };
  tdSwapBuffers();
};

int main(int argc,char *argv[]){
  char inBuff[128];

  tdInit(&argc,&argv);

  int myid=tdGetNodeNumber();

  fprintf(stderr,"(%d) - Init\n",myid);

  if(argc<2){
    fprintf(stderr,"USAGE: %s <movieFileBase>\n",argv[0]);
    exit(-1);
  };

  sprintf(inBuff,"%s.%02d.SDL",argv[1],myid);
  movie=new Movie();
  movie->loaderOpen(new Loader_SDL(inBuff));

  fprintf(stderr,"(%d) - Movie created / Loader Opened\n",myid);

  movie->rendererOpen(new Renderer_SDL());

  fprintf(stderr,"(%d) - Renderer opened\n",myid);

  movie->play();

  while(1){
    draw();
  };
  
  return 0;

};
