/* * Copyright (c) 2000 University of Chicago. All Rights Reserved.  *
 * This package is part of the Tiled Display Toolkit.                *
 * The Tiled Display Toolkit is free software. You can redistribute  *
 * it and/or modify it under the terms of the Tiled Display Toolkit  *
 * Public License. You should have received a copy of the            *
 * Tiled Display Toolkit Public License along with this program; if  *
 * not write to the Futures Laboratory at Argonne National           *
 * Laboratory at fl-info@mcs.anl.gov.                                */

/* See Renderer_SDL.h for documentation. */

#include "RendererSDL.h"
#include <stdio.h>

int Renderer_SDL::open(int width,int height,int depth){
  if(frameBuff) SDL_FreeSurface(frameBuff);

  SDL_Init(SDL_INIT_VIDEO);

  mainSurface=SDL_SetVideoMode(1024,768,16,SDL_HWSURFACE|SDL_DOUBLEBUF|SDL_FULLSCREEN);

  SDL_ShowCursor(SDL_DISABLE);

  return 0;
};
  
int Renderer_SDL::draw(unsigned char *buffer){
  if(!buffer)
    return -1;

  frameBuff=(SDL_Surface *)(buffer);

  SDL_BlitSurface(frameBuff,NULL,mainSurface,NULL);
  SDL_Flip(mainSurface);

  return 0;
};
