/* * Copyright (c) 2000 University of Chicago. All Rights Reserved.  *
 * This package is part of the Tiled Display Toolkit.                *
 * The Tiled Display Toolkit is free software. You can redistribute  *
 * it and/or modify it under the terms of the Tiled Display Toolkit  *
 * Public License. You should have received a copy of the            *
 * Tiled Display Toolkit Public License along with this program; if  *
 * not write to the Futures Laboratory at Argonne National           *
 * Laboratory at fl-info@mcs.anl.gov.                                */

/* See Renderer_GL.h for documentation. */

#include "Renderer_GL.h"
#include <GL/glut.h>
#include <stdio.h>

int Renderer_GL::open(int width,int height,int depth){
  if(frameBuff) delete[] frameBuff;
  if(depth<3){
    frameBuff=NULL;
    return -1;
  };
  frameBuff=new unsigned char[width*height*depth];
  w=width;
  h=height;

  glutInitDisplayMode(GLUT_RGB | GLUT_DOUBLE);
  glutInitWindowSize(1024,768);
  glutInitWindowPosition(0,0);
  glutCreateWindow("Movie");
  glutSetCursor(GLUT_CURSOR_NONE);

  glClearColor(0.0,0.0,0.0,1.0);
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  glMatrixMode(GL_MODELVIEW);
  glLoadIdentity();

  fprintf(stderr, "Renderer open: (%dx%d) depth: %d\n",w,h,depth);

  return 0;
};
  
int Renderer_GL::draw(unsigned char *buffer){
  if(!buffer)
    return -1;

  for(int j=h;j>0;j--){
    for(int i=0;i<(w*3);i++){
      frameBuff[((h-j)*(w*3))+i]=buffer[((j-1)*(w*3))+i];
    };
  };

  glDrawPixels(w,h,GL_RGB,GL_UNSIGNED_BYTE,frameBuff);
  return 0;
};
