/* * Copyright (c) 2000 University of Chicago. All Rights Reserved.  *
 * This package is part of the Tiled Display Toolkit.                *
 * The Tiled Display Toolkit is free software. You can redistribute  *
 * it and/or modify it under the terms of the Tiled Display Toolkit  *
 * Public License. You should have received a copy of the            *
 * Tiled Display Toolkit Public License along with this program; if  *
 * not write to the Futures Laboratory at Argonne National           *
 * Laboratory at fl-info@mcs.anl.gov.                                */

/* See Renderer_frameCount.h for documentation. */

#include "Renderer_frameCount.h"
#include <stdio.h>

int Renderer_frameCount::draw(unsigned char *buffer){
  if(numFrames<0){
    gettimeofday(&tvStart,NULL);
    numFrames=0;
  };

  if(!buffer)
    return -1;

  numFrames++;

  if(!(numFrames%10)){
    gettimeofday(&tvEnd,NULL);
    tvDiff.tv_sec=tvEnd.tv_sec-tvStart.tv_sec;
    tvDiff.tv_usec=tvEnd.tv_usec-tvStart.tv_usec;
    if(tvDiff.tv_usec<0){
      tvDiff.tv_usec+=1000000;
      tvDiff.tv_sec--;
    };
    double tmpDiff=tvDiff.tv_sec+(double)(double(tvDiff.tv_usec)/1000000.0);
    fprintf(stderr,"Frames: %d  Time (for last 10 frames): %f  FPS: %f\n",numFrames,tmpDiff,10.0/tmpDiff);
    gettimeofday(&tvStart,NULL);
  };
  return 0;
};
